/* Global Colors - The following color variables are used throughout the website. Updating them here will change the color scheme of the entire website */
:root { 
  --background-color: #ffffff; /* Background color for the entire website, including individual sections */
  --default-color: #444444; /* Default color used for the majority of the text content across the entire website */
  --heading-color: #37517e; /* Color for headings, subheadings and title throughout the website */
  --accent-color:  rgb(175, 225, 175); /* Accent color that represents your brand on the website. It's used for buttons, links, and other elements that need to stand out */
  --surface-color: #ffffff; /* The surface color is used as a background of boxed elements within sections, such as cards, icon boxes, or other elements that require a visual separation from the global background. */
  --contrast-color: #ffffff; /* Contrast color for text, ensuring readability against backgrounds of accent, heading, or default colors. */
}

/* Nav Menu Colors - The following color variables are used specifically for the navigation menu. They are separate from the global colors to allow for more customization options */
:root {
  --nav-color: #ffffff;  /* The default color of the main navmenu links */
  --nav-hover-color: rgb(175, 225, 175);/* Applied to main navmenu links when they are hovered over or active */
  --nav-mobile-background-color: #ffffff; /* Used as the background color for mobile navigation menu */
  --nav-dropdown-background-color: #ffffff; /* Used as the background color for dropdown items that appear when hovering over primary navigation items */
  --nav-dropdown-color: #444444; /* Used for navigation links of the dropdown items in the navigation menu. */
  --nav-dropdown-hover-color: rgb(175, 225, 175); /* Similar to --nav-hover-color, this color is applied to dropdown navigation links when they are hovered over. */
}

.hero {
  padding: 0 0 0 0;
}  

.index-page .header {
  --background-color: rgb(255, 255, 255, 0.7); 
  --heading-color: #ffffff;
  --nav-color: #000000;
}

.index-page.scrolled .header {
  --background-color: rgb(255, 255, 255, 1); 
}

.services .service-item .icon {
  width: 64px;
}

.call-to-action:before {
  background: color-mix(in srgb, var(--background-color), transparent 95%);
}

.services .service-item {
  background-color: transparent;
}